package valid

import "unicode"

// HaveAlphaNumeric 字符车中是否同时包含字母和数字
func HaveAlphaNumeric(str string) bool {
	return HaveAlpha(str) && HaveNumeric(str)
}

// HaveAlpha 字符串中是否包含字母
func HaveAlpha(str string) bool {
	for _, s := range str {
		if unicode.IsLetter(s) {
			return true
		}
	}
	return false
}

// HaveNumeric 字符串中是否包含数字
func HaveNumeric(str string) bool {
	for _, s := range str {
		if unicode.IsNumber(s) {
			return true
		}
	}
	return false
}
